class Number{
  static const MAX_SAFE_INTEGER = 9007199254740991;
}

// BigInt get MaxUint256 =>  BigInt.parse("0xffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff", radix: 16);
BigInt get MaxUint256 =>  BigInt.parse("0xffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff");
BigInt get MAX_SAFE_INTEGER => BigInt.from(Number.MAX_SAFE_INTEGER);
BigInt get ZERO => BigInt.from(0);
BigInt get ONE => BigInt.from(1);
BigInt get TWO => BigInt.from(2);

enum SupportedChainId {
  MAINNET,
  ROPSTEN,
  RINKEBY,
  GOERLI,
  KOVAN,
  ARBITRUM_ONE,
  ARBITRUM_RINKEBY,
  OPTIMISM,
  OPTIMISTIC_KOVAN,
  POLYGON,
  POLYGON_MUMBAI,
  CELO,
  CELO_ALFAJORES
}

enum TradeType {
  EXACT_INPUT,
  EXACT_OUTPUT
}