class InsufficientReservesError extends Error {
  bool isInsufficientReservesError = true;

  /// Message describing the assertion error.
  final Object? message;

  /// Creates an assertion error with the provided [message].
  InsufficientReservesError([this.message]);

  @override
  String toString() {
    if (message != null) {
      return "Insufficient reserves error: ${Error.safeToString(message)}";
    }
    return "Insufficient reserves error";
  }
}

class InsufficientInputAmountError extends Error {
  bool isInsufficientReservesError = true;

  /// Message describing the assertion error.
  final Object? message;

  /// Creates an assertion error with the provided [message].
  InsufficientInputAmountError([this.message]);

  @override
  String toString() {
    if (message != null) {
      return "Insufficient input amount error: ${Error.safeToString(message)}";
    }
    return "Insufficient input amount error";
  }
}